## gimp-plugin-registry 0.1

=== GREYCstoration/Makefile ===

PLUGIN = greycstoration4gimp

GT_CFLAGS = $(shell /usr/bin/gimptool-2.0 --cflags)
GT_LDFLAGS = $(shell /usr/bin/gimptool-2.0 --libs)


build: build-stamp

build-stamp:
	g++ -o $(PLUGIN) $(PLUGIN).cpp -I/usr/include/CImg $(CFLAGS) $(GT_CFLAGS) $(GT_LDFLAGS) -lpthread
	touch build-stamp

install:
	install -m 755 $(PLUGIN) $(DESTDIR)$(PLUGINBINDIR)

clean:
	rm -f $(PLUGIN) build-stamp

.PHONY: install clean build

=== dustcleaner/Makefile ===


OC_LIBS=$(shell pkg-config --libs opencv)
OC_INC=$(shell pkg-config --cflags opencv)
GIMP_LIBS=$(shell gimptool-2.0 --libs)
GIMP_INC=$(shell gimptool-2.0 --cflags)

build: build-stamp
build-stamp:
	make -C src LIBS="$(OC_LIBS) $(GIMP_LIBS)" CFLAGS="$(OC_INC) $(GIMP_INC) $(CFLAGS)" dustcleaner
	touch build-stamp

clean:
	rm -f build-stamp
	-make -C src clean

install:
	install -m 755 src/dustcleaner $(DESTDIR)$(PLUGINBINDIR)

.PHONY: clean

=== focus-blur/Makefile ===
override CFLAGS += -O2 -DG_DISABLE_ASSERT -DFBLUR_PREVIEW=1 -DENABLE_NLS

PLUGIN = fblur

include ../common.mk

=== planet-render/Makefile ===
SCRIPT = planet-render1-2.scm

include ../common-script.mk

## gimp-plugin-registry 0.5.1

=== dustcleaner/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 
 
-OC_LIBS=$(shell pkg-config --libs opencv)
-OC_INC=$(shell pkg-config --cflags opencv)
-GIMP_LIBS=$(shell gimptool-2.0 --libs)
-GIMP_INC=$(shell gimptool-2.0 --cflags)
+OC_LIBS = `pkg-config --libs opencv`
+OC_INC = `pkg-config --cflags opencv`
+GIMP_LIBS = `gimptool-2.0 --libs`
+GIMP_INC = `gimptool-2.0 --cflags`
 
 build: build-stamp
 build-stamp:

=== focus-blur/Makefile ===
include ../common-autotools.mk

=== layer-effects/Makefile ===
SCRIPT = layer-effects_en.scm

include ../common-script.mk

=== planet-render/Makefile ===

SCRIPT = $(shell if dpkg --compare-versions $(GIMPVER) '>=' 2.3; then \
                    echo planet-render1-2.scm ;\
                  else \
                    echo planet-render1-1.scm ;\
                 fi)

include ../common-script.mk

=== refocus/Makefile ===

CC=gcc

build: build-stamp
build-stamp:
	set -e; cd build; $(CC) -lblas -llapack \
	                      $(LDFLAGS) $(CFLAGS) \
	                      `gimptool-2.0 --libs` `gimptool-2.0 --cflags`  \
	                      *.c -o refocus
	touch build-stamp

clean:
	rm -f build-stamp
	rm -f build/*.o build/refocus

install:
	install -m 755 build/refocus $(DESTDIR)$(PLUGINBINDIR)
	install -m 755 -d $(DESTDIR)$(DOCDIR)
	install -m 644 src/doc/doc.html $(DESTDIR)$(DOCDIR)
	install -m 644 src/doc/doc.pdf $(DESTDIR)$(DOCDIR)

.PHONY: clean

=== smart-sharpen-redux/Makefile ===
SCRIPT = Eg-SmartSharpen.scm

include ../common-script.mk

=== GREYCstoration/src/Makefile ===
#--------------------------------------------------------------------------------------
#
#  Makefile  : Makefile for compiling CImg-based code on Unix
#
#  Copyright : David Tschumperle (http://www.greyc.ensicaen.fr/~dtschump/)
#
# -----------------------------------------------------------------------------------

# Define the CImg files to be compiled (name of the source file without the .cpp extension)
CIMG_FILES = greycstoration \
	     greycstoration4integration \

# Set correct variables and paths
CC       = g++
X11PATH  = /usr/X11R6
CFLAGS   = -Wall -W -ansi -pedantic -ffast-math -I./plugins
LDFLAGS  = -lm -lpthread

# Set CImg version number
CIMG_VERSION = 1.20

# Uncomment to perform strict CImg compilation
# (Do not try to preserve compatibility with older CImg versions)
CIMG_STRICT_FLAGS = -Dcimg_strict

# Uncomment to enable the use of the X11 library.
# (X11 is used by CImg to handle display windows)
CIMG_X11_FLAGS = -I$(X11PATH)/include -L$(X11PATH)/lib -lX11

# Uncomment to enable fast image display, using the XSHM library.
# (CIMG_X11_FLAGS must be defined)
CIMG_XSHM_FLAGS = -Dcimg_use_xshm -lXext

# Uncomment to enable screen mode switching, using the XRandr library.
# (CIMG_X11_FLAGS must be defined)
CIMG_XRANDR_FLAGS = -Dcimg_use_xrandr -lXrandr

# Uncomment to enable native support for PNG image files, using the PNG library.
#CIMG_PNG_FLAGS = -Dcimg_use_png -lpng -lz

# Uncomment to enable native support for JPEG image files, using the JPEG library.
#CIMG_JPEG_FLAGS = -Dcimg_use_jpeg -ljpeg

# Uncomment to enable native support for TIFF image files, using the TIFF library.
#CIMG_TIFF_FLAGS = -Dcimg_use_tiff -ltiff

# Uncomment to enable native support of most classical image file formats, using the Magick++ library.
#CIMG_MAGICK_FLAGS = -Dcimg_use_magick `Magick++-config --cppflags` `Magick++-config --cxxflags` `Magick++-config --ldflags` `Magick++-config --libs`

# Uncomment to enable faster Discrete Fourier Transform computation, using the FFTW3 library
#CIMG_FFTW3_FLAGS = -Dcimg_use_fftw3 -lfftw3

EXTRA_FLAGS = $(CIMG_X11_FLAGS) $(CIMG_STRICT_FLAGS) $(CIMG_XSHM_FLAGS) $(CIMG_XRANDR_FLAGS) $(CIMG_PNG_FLAGS) $(CIMG_JPEG_FLAGS) $(CIMG_TIFF_FLAGS) $(CIMG_MAGICK_FLAGS) $(CIMG_FFTW3_FLAGS)

# Compilation rules
.cpp:
	@echo
	@echo "** Compiling '$* ($(CIMG_VERSION))' with '`$(CC) -v 2>&1 | grep version`'"
	@echo
	$(CC) -o $* $< $(CFLAGS) $(LDFLAGS) $(ARCHFLAGS)
	strip $*
menu:
	@echo
	@echo "CImg Library $(CIMG_VERSION) : Examples"
	@echo "-----------------------------"
	@echo "  > gimp     : Compile a plug-in for GIMP (using 'gimptool-2.0')."
	@echo
	@echo "  > dlinux   : Compile for Linux/MacOSX, with debug informations."
	@echo "  > linux    : Compile for Linux/MacOSX, with standard options."
	@echo "  > olinux   : Compile for Linux/MacOSX, with optimizations."
	@echo
	@echo "  > dsolaris : Compile for Solaris, with debug informations."
	@echo "  > solaris  : Compile for Solaris, with standard options."
	@echo "  > osolaris : Compile for Solaris, with optimizations."
	@echo
	@echo "  > dminimal : Compile with minimal dependancies, with debug informations."
	@echo "  > minimal  : Compile with minimal dependancies, with standard options."
	@echo "  > ominimal : Compile with minimal dependancies, with optimizations."
	@echo
	@echo "  > clean    : Clean generated files."
	@echo
	@echo "Choose your option :"
	@read CHOICE; echo; make $$CHOICE; echo; echo "> Next time, you can bypass the menu by typing directly 'make $$CHOICE'"; echo;

all: $(CIMG_FILES) gimp

clean:
	rm -f greycstoration4gimp *.exe *~ $(CIMG_FILES)

# Gimp plug-in target
gimp: greycstoration4gimp.cpp
	@echo
	@echo "** Compiling 'greycstoration4gimp ($(CIMG_VERSION))' with '`$(CC) -v 2>&1 | grep version`'"
	@echo
	$(CC) -o greycstoration4gimp greycstoration4gimp.cpp `gimptool-2.0 --cflags` `gimptool-2.0 --libs` -lpthread -O3
	strip greycstoration4gimp
# Linux/Mac OSX targets
linux:
	make "ARCHFLAGS=$(EXTRA_FLAGS)" all
dlinux:
	make "ARCHFLAGS=-Dcimg_debug=2 -g $(EXTRA_FLAGS)" all
olinux:
	make "ARCHFLAGS=-O3 $(EXTRA_FLAGS)" all

# Sun Solaris targets
solaris:
	make "ARCHFLAGS=-R$(X11PATH)/lib -lrt -lnsl -lsocket $(EXTRA_FLAGS)" all
dsolaris:
	make "ARCHFLAGS=-Dcimg_debug=2 -g -R$(X11PATH)/lib -lrt -lnsl -lsocket $(EXTRA_FLAGS)" all
osolaris:
	make "ARCHFLAGS=-O3 -R$(X11PATH)/lib -lrt -lnsl -lsocket $(EXTRA_FLAGS)" all

# targets with minimal dependancies
minimal:
	make "ARCHFLAGS=-Dcimg_display_type=0" all
dminimal:
	make "ARCHFLAGS=-Dcimg_display_type=0 -Dcimg_debug=2 -g" all
ominimal:
	make "ARCHFLAGS=-Dcimg_display_type=0 -O3" all

=== dustcleaner/src_0.1.5a/Makefile ===
#Makefile written by Frank

CC   = gcc
CPP  = g++


SRC = dustfinder.c utilities.c dustanalyzer.c recovery.c dustcleaner_plugin_main.c dustcleaner_UI.c
OBJ = dustfinder.o utilities.o dustanalyzer.o recovery.o dustcleaner_plugin_main.o dustcleaner_UI.o
OUTPUT = output.txt marked.jpg output1.txt
BIN  = dustcleaner
LIBS =  `pkg-config --libs opencv` `gimptool --libs`
INCS =  `pkg-config --cflags opencv` `gimptool --cflags`
RM = rm -f
CFLAGS = $(INCS) 

$(BIN): $(OBJ)
	$(CC) $(OBJ) -o $(BIN) $(LIBS)	

$(OBJ): $(SRC)
	$(CC) -c $(SRC) $(CFLAGS)	

.PHONY: clean
clean:
	${RM} $(OBJ) $(BIN) $(OUTPUT)

## gimp-plugin-registry 1.0

=== diana-holga2/Makefile ===
SCRIPT = diana-holga2b.scm
include ../common-script.mk

=== layer-effects/Makefile ===
SCRIPT = layer-effects_24.scm

include ../common-script.mk

=== wavelet-denoise/Makefile ===
PLUGIN = wavelet-denoise

include ../common.mk

=== GREYCstoration/src/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 LDFLAGS  = -lm -lpthread
 
 # Set CImg version number
-CIMG_VERSION = 1.20
+CIMG_VERSION = 1.28
 
 # Uncomment to perform strict CImg compilation
 # (Do not try to preserve compatibility with older CImg versions)
@@ -92,7 +92,7 @@
 	@echo
 	@echo "** Compiling 'greycstoration4gimp ($(CIMG_VERSION))' with '`$(CC) -v 2>&1 | grep version`'"
 	@echo
-	$(CC) -o greycstoration4gimp greycstoration4gimp.cpp `gimptool-2.0 --cflags` `gimptool-2.0 --libs` -lpthread -O3
+	$(CC) -o greycstoration4gimp greycstoration4gimp.cpp `gimptool-2.0 --cflags` `gimptool-2.0 --libs` -lpthread -O3 $(CFLAGS)
 	strip greycstoration4gimp
 # Linux/Mac OSX targets
 linux:

=== separate+/separate+-0.5.1/Makefile ===
GIMP_VER = 2.4

PREFIX = /usr
INSTALLDIR = $(PREFIX)/lib/gimp/2.0/plug-ins
#INSTALLDIR = $(HOME)/.gimp-$(GIMP_VER)/plug-ins

GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`
GTK_LIB = `pkg-config gtk+-2.0 --libs`
GIMP_INCLUDE = `pkg-config gimp-2.0 --cflags` `pkg-config gimpui-2.0 --cflags`
GIMP_LIB = `pkg-config gimp-2.0 --libs` `pkg-config gimpui-2.0 --libs`
LCMS_INCLUDE = `pkg-config lcms --cflags`
LCMS_LIB = `pkg-config lcms --libs`
TIFF_LIB = -ltiff

GETTEXT_PACKAGE = gimp20-separate

VERSION = 0.5.1
CC = gcc -g
DEPEND = gccmakedep
RM = rm -f
MAKE = make PREFIX="$(PREFIX)"

.SUFFIXES: .c .o

# If you will use with the GIMP 2.2.x, remove "-DENABLE_COLOR_MANAGEMENT".
# If you don't want to merge "normal" and "to Colour" dialog,
#                                            remove "-DSEPARATE_SEPARATE".
CM = -DENABLE_COLOR_MANAGEMENT
NLS = -DENABLE_NLS -DGETTEXT_PACKAGE="\"$(GETTEXT_PACKAGE)\""
CFLAGS = $(GIMP_INCLUDE) $(GTK_INCLUDE) $(LCMS_INCLUDE) -O3 -Wall $(CM) $(NLS) \
         -DSEPARATE_SEPARATE -DUSE_ICC_BUTTON
LDFLAGS = $(GIMP_LIB) $(GTK_LIB) $(LCMS_LIB) $(TIFF_LIB)

SOURCES = $(SEPARATE_SOURCES) $(IMPORT_SOURCES) \
          $(ICC_COLORSPACE_SOURCES) $(EXTRA_SOURCES)

OBJECTS = $(SOURCES:.c=.o)

EXTRA_SOURCES = iccbutton.c

SEPARATE_SOURCES = separate.c util.c tiff.c

SEPARATE_OBJECTS = $(SEPARATE_SOURCES:.c=.o) $(EXTRA_SOURCES:.c=.o)

IMPORT_SOURCES = import.c

IMPORT_OBJECTS = $(IMPORT_SOURCES:.c=.o)

ICC_COLORSPACE_SOURCES = icc_colorspace.c

ICC_COLORSPACE_OBJECTS = $(ICC_COLORSPACE_SOURCES:.c=.o) $(EXTRA_SOURCES:.c=.o)

TARGETS = separate separate_import icc_colorspace


.PHONY: all
all: plugins catalogs

depend:
	$(DEPEND) -- $(CFLAGS) -- $(SOURCES)

clean-plugins:
	$(RM) $(OBJECTS) $(TARGETS) core *~

clean-catalogs:
	cd po && $(MAKE) clean

clean: clean-plugins clean-catalogs

catalogs:
	cd po && $(MAKE)

plugins: $(TARGETS)

separate: $(SEPARATE_OBJECTS)
	$(CC) $(SEPARATE_OBJECTS) -o $@ $(LDFLAGS)

separate_import: $(IMPORT_OBJECTS)
	$(CC) $(IMPORT_OBJECTS) -o $@ $(LDFLAGS)

icc_colorspace: $(ICC_COLORSPACE_OBJECTS)
	$(CC) $(ICC_COLORSPACE_OBJECTS) -o $@ $(LDFLAGS)

install-catalogs:
	cd po && $(MAKE) install

install-plugins: $(TARGETS)
	install -c $^ "$(INSTALLDIR)"

install: install-plugins install-catalogs

uninstall-plugins:
	targets="$(TARGETS)"; \
	for target in $$targets; do \
		$(RM) "$(INSTALLDIR)/$$target"; \
	done

uninstall-catalogs:
	cd po && $(MAKE) uninstall

uninstall: uninstall-plugins uninstall-catalogs


# Inference rules
.c.o:
	$(CC) $(CFLAGS) -c $<


#
iccbutton.o: iccbutton.h
separate.o: separate.h iccbutton.h
import.o: separate.h
icc_colorspace.o: icc_colorspace.h iccbutton.h
tiff.o: tiff.h
util.o: util.h

=== separate+/separate+-0.5.1/po/Makefile ===
LOCALEDIR = $(PREFIX)/share/locale
#LOCALEDIR = $(PREFIX)/lib/locale
GETTEXT_PACKAGE = gimp20-separate
LINGUAS = cs fr ja ru
POFILES = $(LINGUAS:%=%.po)
CATALOGS = $(LINGUAS:%=%.gmo)

.SUFFIXES: .po .gmo

all: $(CATALOGS)

clean:
	$(RM) $(CATALOGS)

.po.gmo:
	msgfmt -o $@ $<

install: $(CATALOGS)
	linguas="$(LINGUAS)"; \
	for lang in $$linguas; do \
		dir="$(LOCALEDIR)/$$lang/LC_MESSAGES"; \
		mkdir -p "$$dir"; \
		install -m 644 -c $$lang.gmo "$$dir/$(GETTEXT_PACKAGE).mo"; \
		echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	done
	
uninstall:
	linguas="$(LINGUAS)"; \
	for lang in $$linguas; do \
		dir="$(LOCALEDIR)/$$lang/LC_MESSAGES"; \
		$(RM) "$$dir/$(GETTEXT_PACKAGE).mo"; \
	done

## gimp-plugin-registry 2.2

=== dustcleaner/Makefile ===

include ../common-autotools.mk

## gimp-plugin-registry 2.3

=== GREYCstoration/Makefile ===

PLUGIN = greycstoration4gimp

GT_CFLAGS = `/usr/bin/gimptool-2.0 --cflags`
GT_LDFLAGS = `/usr/bin/gimptool-2.0 --libs`


build: $(PLUGIN)

$(PLUGIN):
	cd src; g++ -o ../$(PLUGIN) $(PLUGIN).cpp -I/usr/include/CImg $(CFLAGS) $(GT_CFLAGS) $(GT_LDFLAGS) -lpthread

install:
	install -m 755 $(PLUGIN) $(DESTDIR)$(PLUGINBINDIR)

clean:
	rm -f $(PLUGIN) 

.PHONY: install clean build

=== layer-effects/Makefile ===
SCRIPT = layerfx.py

include ../common-py.mk

=== separate+/Makefile ===
build: build-stamp

build-stamp:
	make -C src TARGETS="separate separate_import"
	touch build-stamp

install: build
	make -C src install PREFIX=$(DESTDIR)/usr TARGETS="separate separate_import"

clean:
	rm -f build-stamp
	make -C src clean

.PHONY: install clean build

=== sprocket-hole/Makefile ===
SCRIPT = elsamuko-slide-with-sprockets.scm

include ../common-script.mk

=== GREYCstoration/src/Makefile ===
 #
 #  File        : Makefile
 #                ( Makefile for GNU 'make' utility )
 #
 #  Description : Makefile for compiling GREYCstoration code on Unix.
 #                This file is a part of the CImg Library project.
 #                ( http://cimg.sourceforge.net )
 #
 #  Copyright   : David Tschumperle
 #                ( http://www.greyc.ensicaen.fr/~dtschump/ )
 #
 #  License     : CeCILL v2.0
 #                ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
 #
 #  This software is governed by the CeCILL  license under French law and
 #  abiding by the rules of distribution of free software.  You can  use,
 #  modify and/ or redistribute the software under the terms of the CeCILL
 #  license as circulated by CEA, CNRS and INRIA at the following URL
 #  "http://www.cecill.info".
 #
 #  As a counterpart to the access to the source code and  rights to copy,
 #  modify and redistribute granted by the license, users are provided only
 #  with a limited warranty  and the software's author,  the holder of the
 #  economic rights,  and the successive licensors  have only  limited
 #  liability.
 #
 #  In this respect, the user's attention is drawn to the risks associated
 #  with loading,  using,  modifying and/or developing or reproducing the
 #  software by the user in light of its specific status of free software,
 #  that may mean  that it is complicated to manipulate,  and  that  also
 #  therefore means  that it is reserved for developers  and  experienced
 #  professionals having in-depth computer knowledge. Users are therefore
 #  encouraged to load and test the software's suitability as regards their
 #  requirements in conditions enabling the security of their systems and/or
 #  data to be ensured and,  more generally, to use and operate it in the
 #  same conditions as regards security.
 #
 #  The fact that you are presently reading this means that you have had
 #  knowledge of the CeCILL license and that you accept its terms.
 #

#-------------------------------------------------------
# Define the list of files to be compiled
# (name of the source files without the .cpp extension)
#-------------------------------------------------------
GREYCSTORATION_FILES = greycstoration greycstoration4gimp

#---------------------------------
# Set correct variables and paths
#---------------------------------
GREYCSTORATION_VERSION = 1.29
X11PATH      = /usr/X11R6
CC           = g++

ifeq ($(CC),icc)
CFLAGS       = -ansi
LDFLAGS      = -lpthread
else
CFLAGS       = -Wall -W -ansi -pedantic
LDFLAGS      = -lm -lpthread
endif

#------------------------------------------------------------
# Set compilation flags allowing to customize GREYCstoration
#------------------------------------------------------------

# Flags to enable code debugging.
GREYCSTORATION_DEBUG_FLAGS = -Dcimg_debug=3 -g

# Flags to enable code optimization by the compiler.
ifeq ($(CC),icc)
GREYCSTORATION_OPT_FLAGS = -O3 -ipo -no-prec-div
else
GREYCSTORATION_OPT_FLAGS = -O3 -ffast-math
endif

# Flags to enable the use of the X11 library.
# (X11 is used by CImg to handle display windows)
# !!! For 64bits systems : replace -L$(X11PATH)/lib by -L$(X11PATH)/lib64 !!!
GREYCSTORATION_X11_FLAGS = -I$(X11PATH)/include -L$(X11PATH)/lib -lX11

# Flags to enable fast image display, using the XSHM library.
# (GREYCSTORATION_X11_FLAGS must be defined also)
GREYCSTORATION_XSHM_FLAGS = -Dcimg_use_xshm -lXext

# Flags to enable screen mode switching, using the XRandr library.
# (GREYCSTORATION_X11_FLAGS must be defined also)
GREYCSTORATION_XRANDR_FLAGS = -Dcimg_use_xrandr -lXrandr

# Flags to enable native support for PNG image files, using the PNG library.
GREYCSTORATION_PNG_FLAGS = -Dcimg_use_png -lpng -lz

# Flags to enable native support for JPEG image files, using the JPEG library.
GREYCSTORATION_JPEG_FLAGS = -Dcimg_use_jpeg -ljpeg

# Flags to enable native support for TIFF image files, using the TIFF library.
GREYCSTORATION_TIFF_FLAGS = -Dcimg_use_tiff -ltiff

# Flags to enable native support of most classical image file formats, using the Magick++ library.
GREYCSTORATION_MAGICK_FLAGS = -Dcimg_use_magick `Magick++-config --cppflags` `Magick++-config --cxxflags` `Magick++-config --ldflags` `Magick++-config --libs`

# Flags to enable the use of LAPACK routines for matrix computation
GREYCSTORATION_LAPACK_FLAGS = -Dcimg_use_lapack -lblas -lg2c -llapack

# Flags to compile on Solaris
GREYCSTORATION_SOLARIS_FLAGS = -R$(X11PATH)/lib -lrt -lnsl -lsocket

# Flags to compile on MacOSX with Carbon-based display support
GREYCSTORATION_CARBON_FLAGS = -Dcimg_display_type=3 -framework Carbon

# Set default compilation flags.
# Uncomment lines here, if you want to customize your default configuration
GREYCSTORATION_DEFAULT_FLAGS =  $(GREYCSTORATION_OPT_FLAGS) \
	          $(GREYCSTORATION_X11_FLAGS) \
                  $(GREYCSTORATION_XSHM_FLAGS) \
                  $(GREYCSTORATION_XRANDR_FLAGS) \
                  $(GREYCSTORATION_TIFF_FLAGS) \
                  $(GREYCSTORATION_PNG_FLAGS) \
                  $(GREYCSTORATION_JPEG_FLAGS) \
#                  $(GREYCSTORATION_MAGICK_FLAGS) \
#	           $(GREYCSTORATION_LAPACK_FLAGS) \

#-------------------------
# Define Makefile entries
#-------------------------
.cpp:
	@echo
	@echo "** Compiling '$* ($(GREYCSTORATION_VERSION))' with '`$(CC) -v 2>&1 | grep -i version`'"
	@echo
	$(CC) -o $* $< $(CFLAGS) $(LDFLAGS) $(ARCHFLAGS)
ifeq ($(MACOSX_APP),1)
	mkdir -p ${*}.app/Contents/MacOS
	mv ${*} ${*}.app/Contents/MacOS
endif
ifeq ($(STRIP_EXE),1)
	strip $*
endif
menu:
	@echo
	@echo "CImg Library $(GREYCSTORATION_VERSION) : Examples"
	@echo "-----------------------------"
	@echo "  > dlinux   : Compile for Linux/BSD/MacOSX, with X11 display and debug informations."
	@echo "  > linux    : Compile for Linux/BSD/MacOSX, with X11 display and standard options."
	@echo "  > olinux   : Compile for Linux/BSD/MacOSX, with X11 display and optimizations."
	@echo "  > mlinux   : Compile for Linus/BSD/MacOSX, with minimal dependancies."
	@echo "  > Mlinux   : Compile for Linux/BSD/MacOSX, with maximal dependancies."
	@echo
	@echo "  > dsolaris : Compile for Solaris, with X11 display and debug informations."
	@echo "  > solaris  : Compile for Solaris, with X11 display and standard options."
	@echo "  > osolaris : Compile for Solaris, with X11 display and optimizations."
	@echo "  > msolaris : Compile for Solaris, with minimal dependancies."
	@echo "  > Msolaris : Compile for Solaris, with maximal dependancies."
	@echo
	@echo "  > dmacosx : Compile for MacOSX, with Carbon display and debug informations."
	@echo "  > macosx  : Compile for MacOSX, with Carbon display and standard options."
	@echo "  > omacosx : Compile for MacOSX, with Carbon display and optimizations."
	@echo
	@echo "  > clean    : Clean generated files."
	@echo
	@echo "Choose your option :"
	@read CHOICE; echo; make $$CHOICE; echo; echo "> Next time, you can bypass the menu by typing directly 'make $$CHOICE'"; echo;

all: $(GREYCSTORATION_FILES)

clean:
	rm -rf *.app *.exe *~ jpeg_buffer greycstoration4gimp $(GREYCSTORATION_FILES)

greycstoration4gimp: greycstoration4gimp.cpp
	@echo
	@echo "** Compiling 'greycstoration4gimp ($(GREYCSTORATION_VERSION))' with '`$(CC) -v 2>&1 | grep version`'"
	@echo
	$(CC) -I.. -I./plugins -o greycstoration4gimp greycstoration4gimp.cpp `gimptool-2.0 --cflags` `gimptool-2.0 --libs` -lpthread $(GREYCSTORATION_OPT_FLAGS)

# Linux/BSD/Mac OSX targets
linux:
	make "ARCHFLAGS=$(GREYCSTORATION_DEFAULT_FLAGS)" "STRIP_EXE=1" all
dlinux:
	make "ARCHFLAGS=$(GREYCSTORATION_DEBUG_FLAGS) $(GREYCSTORATION_DEFAULT_FLAGS)" all
olinux:
	make "ARCHFLAGS=$(GREYCSTORATION_OPT_FLAGS) $(GREYCSTORATION_DEFAULT_FLAGS)" "STRIP_EXE=1" all
mlinux:
	make "ARCHFLAGS=-Dcimg_display_type=0 $(GREYCSTORATION_OPT_FLAGS)" "STRIP_EXE=1" all

# Sun Solaris targets
solaris:
	make "ARCHFLAGS=$(GREYCSTORATION_SOLARIS_FLAGS) $(GREYCSTORATION_DEFAULT_FLAGS)" "STRIP_EXE=1" all
dsolaris:
	make "ARCHFLAGS=$(GREYCSTORATION_DEBUG_FLAGS) $(GREYCSTORATION_SOLARIS_FLAGS) $(GREYCSTORATION_DEFAULT_FLAGS)" all
osolaris:
	make "ARCHFLAGS=$(GREYCSTORATION_OPT_FLAGS) $(GREYCSTORATION_SOLARIS_FLAGS) $(GREYCSTORATION_DEFAULT_FLAGS)" "STRIP_EXE=1" all
msolaris:
	make "ARCHFLAGS=-Dcimg_display_type=0 $(GREYCSTORATION_OPT_FLAGS)" "STRIP_EXE=1" all

# MacOsX with Carbon display targets
macosx:
	make "ARCHFLAGS=$(GREYCSTORATION_DEFAULT_FLAGS) $(GREYCSTORATION_CARBON_FLAGS)" "MACOSX_APP=1" all
dmacosx:
	make "ARCHFLAGS=$(GREYCSTORATION_DEBUG_FLAGS) $(GREYCSTORATION_DEFAULT_FLAGS) $(GREYCSTORATION_CARBON_FLAGS)" "MACOSX_APP=1" all
omacosx:
	make "ARCHFLAGS=$(GREYCSTORATION_OPT_FLAGS) $(GREYCSTORATION_DEFAULT_FLAGS) $(GREYCSTORATION_CARBON_FLAGS)" "MACOSX_APP=1" all

=== separate+/separate+-0.5.3/Makefile ===
GIMP_VER = 2.4

PREFIX = /usr
INSTALLDIR = $(PREFIX)/lib/gimp/2.0/plug-ins
#INSTALLDIR = $(HOME)/.gimp-$(GIMP_VER)/plug-ins

GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`
GTK_LIB = `pkg-config gtk+-2.0 --libs`
GIMP_INCLUDE = `pkg-config gimp-2.0 --cflags` `pkg-config gimpui-2.0 --cflags`
GIMP_LIB = `pkg-config gimp-2.0 --libs` `pkg-config gimpui-2.0 --libs`
LCMS_INCLUDE = `pkg-config lcms --cflags`
LCMS_LIB = `pkg-config lcms --libs`
TIFF_LIB = -ltiff

GETTEXT_PACKAGE = gimp20-separate

VERSION = 0.5.2
CC = gcc -g
DEPEND = gccmakedep
RM = rm -f
MAKE = make PREFIX="$(PREFIX)"

.SUFFIXES: .c .o

# If you will use with the GIMP 2.2.x, remove "-DENABLE_COLOR_MANAGEMENT".
# If you don't want to merge "normal" and "to Colour" dialog,
#                                            remove "-DSEPARATE_SEPARATE".
CM = -DENABLE_COLOR_MANAGEMENT
NLS = -DENABLE_NLS -DGETTEXT_PACKAGE="\"$(GETTEXT_PACKAGE)\""
CFLAGS = $(GIMP_INCLUDE) $(GTK_INCLUDE) $(LCMS_INCLUDE) -O3 -Wall $(CM) $(NLS) \
         -DSEPARATE_SEPARATE -DUSE_ICC_BUTTON
LDFLAGS = $(GIMP_LIB) $(GTK_LIB) $(LCMS_LIB) $(TIFF_LIB)

SOURCES = $(SEPARATE_SOURCES) $(IMPORT_SOURCES) \
          $(ICC_COLORSPACE_SOURCES) $(EXTRA_SOURCES)

OBJECTS = $(SOURCES:.c=.o)

EXTRA_SOURCES = iccbutton.c

SEPARATE_SOURCES = separate.c util.c tiff.c

SEPARATE_OBJECTS = $(SEPARATE_SOURCES:.c=.o) $(EXTRA_SOURCES:.c=.o)

IMPORT_SOURCES = import.c

IMPORT_OBJECTS = $(IMPORT_SOURCES:.c=.o)

ICC_COLORSPACE_SOURCES = icc_colorspace.c

ICC_COLORSPACE_OBJECTS = $(ICC_COLORSPACE_SOURCES:.c=.o) $(EXTRA_SOURCES:.c=.o)

TARGETS = separate separate_import icc_colorspace


.PHONY: all
all: plugins catalogs

depend:
	$(DEPEND) -- $(CFLAGS) -- $(SOURCES)

clean-plugins:
	$(RM) $(OBJECTS) $(TARGETS) core *~

clean-catalogs:
	cd po && $(MAKE) clean

clean: clean-plugins clean-catalogs

catalogs:
	cd po && $(MAKE)

plugins: $(TARGETS)

separate: $(SEPARATE_OBJECTS)
	$(CC) $(SEPARATE_OBJECTS) -o $@ $(LDFLAGS)

separate_import: $(IMPORT_OBJECTS)
	$(CC) $(IMPORT_OBJECTS) -o $@ $(LDFLAGS)

icc_colorspace: $(ICC_COLORSPACE_OBJECTS)
	$(CC) $(ICC_COLORSPACE_OBJECTS) -o $@ $(LDFLAGS)

install-catalogs:
	cd po && $(MAKE) install

install-plugins: $(TARGETS)
	install -c $^ "$(INSTALLDIR)"

install: install-plugins install-catalogs

uninstall-plugins:
	targets="$(TARGETS)"; \
	for target in $$targets; do \
		$(RM) "$(INSTALLDIR)/$$target"; \
	done

uninstall-catalogs:
	cd po && $(MAKE) uninstall

uninstall: uninstall-plugins uninstall-catalogs


# Inference rules
.c.o:
	$(CC) $(CFLAGS) -c $<


#
iccbutton.o: iccbutton.h iccclassicons.h
separate.o: separate.h iccbutton.h icon.h
import.o: separate.h
icc_colorspace.o: icc_colorspace.h iccbutton.h
tiff.o: tiff.h
util.o: util.h

=== separate+/separate+-0.5.3/po/Makefile ===
LOCALEDIR = $(PREFIX)/share/locale
#LOCALEDIR = $(PREFIX)/lib/locale
GETTEXT_PACKAGE = gimp20-separate
LINGUAS = cs fr ja ru pl ko
POFILES = $(LINGUAS:%=%.po)
CATALOGS = $(LINGUAS:%=%.gmo)

.SUFFIXES: .po .gmo

all: $(CATALOGS)

clean:
	$(RM) $(CATALOGS)

.po.gmo:
	msgfmt -o $@ $<

install: $(CATALOGS)
	linguas="$(LINGUAS)"; \
	for lang in $$linguas; do \
		dir="$(LOCALEDIR)/$$lang/LC_MESSAGES"; \
		mkdir -p "$$dir"; \
		install -m 644 -c $$lang.gmo "$$dir/$(GETTEXT_PACKAGE).mo"; \
		echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	done
	
uninstall:
	linguas="$(LINGUAS)"; \
	for lang in $$linguas; do \
		dir="$(LOCALEDIR)/$$lang/LC_MESSAGES"; \
		$(RM) "$$dir/$(GETTEXT_PACKAGE).mo"; \
	done

=== wavelet-decompose/wavelet-decompose-0.1.2/src/Makefile ===
CFLAGS = -O3 -Wall $(shell gimptool-2.0 --cflags)
LIBS = $(shell gimptool-2.0 --libs)
PLUGIN = wavelet-decompose
SOURCES = plugin.c wavelet.c interface.c decompose.c
HEADERS = plugin.h

# END CONFIG ##################################################################

.PHONY: all install userinstall clean uninstall useruninstall

all: $(PLUGIN)

OBJECTS = $(subst .c,.o,$(SOURCES))

$(PLUGIN): $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

%.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) -c -o $@ $*.c
	
install: $(PLUGIN)
	@gimptool-2.0 --install-admin-bin $^

userinstall: $(PLUGIN)
	@gimptool-2.0 --install-bin $^

uninstall:
	@gimptool-2.0 --uninstall-admin-bin $(PLUGIN)

useruninstall:
	@gimptool-2.0 --uninstall-bin $(PLUGIN)

clean:
	rm -f *.o *~ $(PLUGIN)

## gimp-plugin-registry 3.2

=== xmc/Makefile ===
PLUGIN = file-xmc

include ../common.mk

=== separate+/separate+-0.5.6/Makefile ===
GIMP_VER = 2.4

PREFIX      = /usr
INSTALLDIR  = $(PREFIX)/lib/gimp/2.0/plug-ins
#INSTALLDIR = $(HOME)/.gimp-$(GIMP_VER)/plug-ins

GTK_INCLUDE  = `pkg-config gtk+-2.0 --cflags`
GTK_LIB      = `pkg-config gtk+-2.0 --libs`
GIMP_INCLUDE = `pkg-config gimp-2.0 --cflags` `pkg-config gimpui-2.0 --cflags`
GIMP_LIB     = `pkg-config gimp-2.0 --libs` `pkg-config gimpui-2.0 --libs`
LCMS_INCLUDE = `pkg-config lcms --cflags`
LCMS_LIB     = `pkg-config lcms --libs`
TIFF_LIB     = -ltiff
JPEG_LIB     = -ljpeg

GETTEXT_PACKAGE = gimp20-separate

VERSION = 0.5.5
CC      = gcc -g
DEPEND  = gccmakedep
RM      = rm -f
MAKE    = make PREFIX="$(PREFIX)"

.SUFFIXES: .c .o

# If you will use with the GIMP 2.2.x, remove "-DENABLE_COLOR_MANAGEMENT".
# If you don't want to merge "normal" and "to Colour" dialog,
#                                            remove "-DSEPARATE_SEPARATE".
CM      = -DENABLE_COLOR_MANAGEMENT
NLS     = -DENABLE_NLS -DGETTEXT_PACKAGE="\"$(GETTEXT_PACKAGE)\""
CFLAGS += $(GIMP_INCLUDE) $(GTK_INCLUDE) $(LCMS_INCLUDE) $(CM) $(NLS) \
          -DSEPARATE_SEPARATE -DUSE_ICC_BUTTON
LIBS    = $(GIMP_LIB) $(GTK_LIB) $(LCMS_LIB) $(TIFF_LIB) $(JPEG_LIB)

SOURCES = $(SEPARATE_SOURCES) $(IMPORT_SOURCES) \
          $(ICC_COLORSPACE_SOURCES) $(EXTRA_SOURCES)

OBJECTS = $(SOURCES:.c=.o)

EXTRA_SOURCES = iccbutton.c

SEPARATE_SOURCES = separate-core.c separate-gui.c separate-export.c util.c tiff.c psd.c jpeg.c

SEPARATE_OBJECTS = $(SEPARATE_SOURCES:.c=.o) $(EXTRA_SOURCES:.c=.o)

IMPORT_SOURCES = import.c

IMPORT_OBJECTS = $(IMPORT_SOURCES:.c=.o)

ICC_COLORSPACE_SOURCES = icc_colorspace.c

ICC_COLORSPACE_OBJECTS = $(ICC_COLORSPACE_SOURCES:.c=.o) $(EXTRA_SOURCES:.c=.o)

TARGETS = separate separate_import icc_colorspace


.PHONY: all
all: plugins catalogs

depend:
	$(DEPEND) -- $(CFLAGS) -- $(SOURCES)

clean-plugins:
	$(RM) $(OBJECTS) $(TARGETS) core *~

clean-catalogs:
	cd po && $(MAKE) clean

clean: clean-plugins clean-catalogs

catalogs:
	cd po && $(MAKE)

plugins: $(TARGETS)

separate: $(SEPARATE_OBJECTS)
	$(CC) $(LDFLAGS) $(SEPARATE_OBJECTS) -o $@ $(LIBS)

separate_import: $(IMPORT_OBJECTS)
	$(CC) $(LDFLAGS) $(IMPORT_OBJECTS) -o $@ $(LIBS)

icc_colorspace: $(ICC_COLORSPACE_OBJECTS)
	$(CC) $(LDFLAGS) $(ICC_COLORSPACE_OBJECTS) -o $@ $(LIBS)

install-catalogs:
	cd po && $(MAKE) install

install-plugins: $(TARGETS)
	install -d "$(INSTALLDIR)"
	install -c -s $^ "$(INSTALLDIR)"

install: install-plugins install-catalogs

uninstall-plugins:
	targets="$(TARGETS)"; \
	for target in $$targets; do \
		$(RM) "$(INSTALLDIR)/$$target"; \
	done

uninstall-catalogs:
	cd po && $(MAKE) uninstall

uninstall: uninstall-plugins uninstall-catalogs


# Inference rules
.c.o:
	$(CC) $(CFLAGS) -c $<


#
iccbutton.o: iccbutton.h iccclassicons.h
separate-core.o: separate.h separate-core.h
separate-export.o: separate.h separate-export.h tiff.h psd.h jpeg.h
separate-gui.o: separate.h separate-core.h separate-export.h iccbutton.h icon.h
import.o: separate.h
icc_colorspace.o: icc_colorspace.h iccbutton.h
tiff.o: separate.h util.h tiff.h
psd.o: separate.h util.h psd.h
jpeg.o: separate.h util.h jpeg.h
util.o: separate.h util.h

## gimp-plugin-registry 3.5.1

=== refocus/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 build: build-stamp
 build-stamp:
-	set -e; cd build; $(CC) -lblas -llapack \
+	set -e; cd build; $(CC) -L/usr/lib/libblas -L/usr/lib/lapack -lblas -llapack \
 	                      $(LDFLAGS) $(CFLAGS) \
 	                      `gimptool-2.0 --libs` `gimptool-2.0 --cflags`  \
 	                      *.c -o refocus

=== xmc/Makefile ===
PLUGIN = file-xmc
EXTRA_LDFLAGS = -lXcursor

include ../common.mk

## gimp-plugin-registry 3.5.4

=== xmc/Makefile ===

ifeq (1,$(strip $(shell if dpkg --compare-versions `dpkg -s libgimp2.0-dev | awk '/^Version/ {print $$2}'` lt 2.7~; then echo 1; fi)))

PLUGIN = file-xmc
EXTRA_LDFLAGS = -lXcursor

include ../common.mk
endif

## gimp-plugin-registry 4.20120506

=== xmc/Makefile ===

ifeq (1,$(strip $(shell if dpkg --compare-versions `dpkg -s libgimp2.0-dev | awk '/^Version/ {print $$2}'` lt 2.7~; then echo 1; fi)))

PLUGIN = file-xmc-2.6
EXTRA_LDFLAGS = -lXcursor

include ../common.mk
endif

=== debian/changelog ===
gimp-plugin-registry (4.20120506) unstable; urgency=low

  * [7c4a2de4] Move to Debian native versions.
    Remove upstream-branch from gbp.conf.
  * [94ead067] Update add-filmgrain.
  * [6717b8fe] Upda contactsheet.
  * [f57eff58] Updating elsamuko plugins.
  * [537b16cb] Updating ez-perspective plugin.
  * [35dc23ce] Update focusblur plugin.
  * [9cdca98f] Update layerfx plugin.
  * [4f97f353] Update normalmap upstream url.
  * [605dd2ee] Updating openraster plugin.
  * [0e3f37df] Updating safe-for-web plugin.
  * [e2d17490] Migrate from smart-sharpen (redux) to smart-seperate-sharpen.
  * [1556dcd5] Rename file-xmc to file-xmc-2.6.
    This is a fix to avoid my inbox being spammed by bug reports from all
    the fools who install gimp from random Ubuntu PPAs.
  * [324b9afb] Remove smart-sharpen scripts from gimp-fx-foundry.
    We ship a nw version of these scripts.
  * [69e0b4b6] Refreshing patches.
  * [2939ac33] Updating debian/control and debian/copyright.
  * [35b5282d] Add patcato get rid of individual glib headers.
    Thanks to Michael Biebl (Closes: #665533)
  * [b05b8c6e] Build c plugins with -fPIC.
  * [dda8df0c] Bumping Standards-Version, no changes needed.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 06 May 2012 00:14:46 +0200

gimp-plugin-registry (3.5.4-1) unstable; urgency=low

  * [c94875ed] More fixes for weird Ubuntu issues.
  * [daf3b032] Move *.c in front of the linker options in gcc call.
  * [4746d4ec] Revert "exposure-blend: Dropping plugin." as requested.
    This reverts commit bbd383fe7138af722758fc4373fefad26b142cf2.
  * [010d0cf5] Liquid-Rescale: Updating to 0.7.1
  * [a2114978] Rename seperate+ source folder.
  * [81425b5c] Seperate+: Update to version 0.5.8
  * [2a0bb193] Contactsheet: Updating to version 2.15
  * [fe2c8eb2] Elsamuko: Updating to latest version from https://sites.google.com/site/elsamuko/gimp
  * [cf79b0d7] Remove .gmo files which will be removed at build time anyway.
  * [a2eb33a9] Updating copyright and control files.
  * [19eefff0] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 25 Jul 2011 17:07:03 +0200

gimp-plugin-registry (3.5.3-1) unstable; urgency=low

  * [371a43f5] Fix linker issues in refoxus plugin.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Feb 2011 17:50:18 +0100

gimp-plugin-registry (3.5.2-2) unstable; urgency=low

  * [1010463f] Fix refocus Makefile to include all necessary linkage.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 18 Feb 2011 23:15:21 +0100

gimp-plugin-registry (3.5.2-1) experimental; urgency=low

  * [de938436] s/The GIMP/GIMP/ as suggested on irc.
  * [45d63b59] Add openraster plugin. (Closes: #545398) (LP: #604521)
  * [a0831874] Updating copyright/control files.
  * [3a058f35] Don't build and install xmc for Gimp 2.7 or newer. (LP:
    #630786)
  * [c582018a] Updating debian/control.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 06 Sep 2010 12:45:35 +0200

gimp-plugin-registry (3.5.1-1) unstable; urgency=low

  * [16de0f78] Remove url from plugin description.
  * [b88dc866] Spelling fixes in plugin descriptions.
  * [0146da1f] Ensure gimp-fx is installed first to prefer manually
    selected plugins.
  * [b9d25392] Work around various Python related bugs in Ubuntu.
  * [74a4f964] Updating control file.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 05 Jul 2010 18:26:57 +0200

gimp-plugin-registry (3.5-1) unstable; urgency=low

  * [93ba2617] Restoring accidentally changed date of the changelog
    entry of 3.2-1.
  * [2f1ae711] Fix a spelling mistake in debian/changelog.
  * [9689c25a] New plugin: traditional orton.
  * [91c2a72e] Enhance common-py.mk. - pycompile scripts to ensure
    they're syntactically correct. - handle script_srcdir and multiple
    scripts.
  * [beabb78c] New plugin: ez-perspective.
  * [c2982ab6] We need python as build-dependency now.
  * [ba92cfee] Bump Standards-Version to 3.9.0, no changes needed.
  * [604a80cd] Updating control/copyright.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 04 Jul 2010 14:17:45 +0200

gimp-plugin-registry (3.4-1) unstable; urgency=low

  * [8bbfa39d] Switch the order of libblas and liblapack build-dep. This
    might stop sbuild from installing atlas as dependency of liblapack.
    Thanks for the suggestion to Kurt Roeckx - see bug #403246 for
    details.
  * [5f75277a] New plugin: hdroberts-tone-adjust / Warming and Cooling
    Filters.
  * [840ca3bf] New plugin: GIMP-Mask
  * [f7f437b9] Enhave common-script.mk to handle more than one script.
  * [d29b7140] Allow to specify a sourcedir for scripts in common-
    script.mk.
  * [38da1953] Add gimp-fx-foundry script collection. (Closes: #452207)
  * [c13fb33e] Update TODO.
  * [ee8eed1d] Use different seperators for sed to avoid clashes with
    descriptions.
  * [394057b6] Bunping Standards-Version to 3.8.4, no changes needed.
  * [bc45181d] Remove unnecessary 'A' from the short description.
  * [76efad5d] Updating copyright and control files.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 26 Jun 2010 23:58:28 +0200

gimp-plugin-registry (3.3.1-1) unstable; urgency=low

  * [71eaf547] Updating TODO.
  * [8b27ad88] Add /usr/lib/libblas to the library search path for
    refocus.
  * [ab61f159] Prepare the "work-around-buggy-sbuild" release. Revert
    "Build-Conflict against libatlas-base-dev." This reverts commit
    b8d256e4dd7f03861be94e00444a4c93e80e93d9.
  * [c7310c70] Allow to add extra CFLAGS/LDFLAGS in common.mk.
  * [1e6fe57f] The xmc plugin needs to be linked against libxcursor.
  * [b07255d3] Add /usr/lib/liblapack to the library search path for
    refocus.
  * [95eb3484] Force dpkg-shlibs to use liblapack/libblas instead of
    atlas.
  * [9d7319d0] Build-depend on libxcursor-dev as needed by xmc.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 26 Jun 2010 00:10:09 +0200

gimp-plugin-registry (3.3-1) unstable; urgency=low

  * [b8d256e4] Build-Conflict against libatlas-base-dev. Hopefully this
    ensures the package does not need atlas for a transition to testing.


=== debian/control ===
Source: gimp-plugin-registry
Section: graphics
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, quilt,
 libgimp2.0-dev (>= 2.6), libxml-parser-perl,
 libblas-dev, liblapack-dev, libf2c2-dev, libfftw3-dev, libglew-dev,
 libgtkglext1-dev, liblcms1-dev, libtiff4-dev,
 liblqr-1-0-dev (>= 0.3.0), intltool,
 libxcursor-dev, python
Standards-Version: 3.9.3
Vcs-Git: git://git.recluse.de/debian/pkg-gimp-plugin-registry.git
Vcs-Browser: http://git.recluse.de/?p=debian/pkg-gimp-plugin-registry.git;a=summary

Package: gimp-plugin-registry
Architecture: any
Depends: gimp (>= 2.6),
 ${shlibs:Depends}, ${misc:Depends},
 python, libtiff-tools, xdg-utils
Suggests: icc-profiles
Conflicts: gimp-refocus (<< 0.9.0-2), gimp-save-for-web
Replaces: gimp-refocus (<< 0.9.0-2), gimp-save-for-web
Provides: gimp-save-for-web
Enhances: gimp
Recommends: gimp-gmic
Description: repository of optional extensions for GIMP
 The package contains the following plugins:
 .
   * Add Film Grain (2.8):
     Helps adding realistic film grain to BW images.
   * btn4ws (0.8.0.1):
     Generates a series of buttons in three states (passive, active, pressed)
     with various selectable effects on them, as well as XHTML, CSS and
     JavaScript code for using the buttons.
   * Black and White Film Simulation (1.1):
     Converts the selected layer into Black and White using
     the channel mixer. Tries to produce results resembling
     tonal qualities of film.
   * CMYK Tiff 2 PDF for Gimp (20090321):
     This plugin completes the prepress workflow of using Separate+ to generate
     CMYK Tiff images by allowing you to convert the saved CMYK Tiff image into
     a PDF file.
   * Contact Sheet (2.16):
     Generates a contact sheet(s) for a directory of images.
   * David's Batch Processor (1.1.9):
     A simple batch processing plugin for The Gimp - it allows
     the user to automatically perform operations (such as resize)
     on a collection of image files.
   * Diana-Holga2 (c):
     Diana/Holga Toys Cameras effect simulator.
   * El Samuko GIMP Scripts:
     * Antique Photo Border Script:
       This script simulates a yellowed and slightly jagged border
       like these of old photographies.
     * Che Guevara Script:
       This script generates a poster like the famous Che Guevara
       one from Jim Fitzpatrick.
     * Cyanotype Script:
       This script simulates the Cyanotype printing process.
     * Difference Layer Script
       This script generates two difference layers from the two layers
       on the top. It's similar to GIMP's built-in Grain Extract/Merge
       function, but the tonal range is bigger.
       Now you can apply further editing and "switch on/off" the
       adjustment by switching the visibility of the subtractive and
       the additive layer.
       Also you can change the modification intensity by changing the
       intensity of these two layers.
     * Erosion Sharpen:
       Sharpens the image with erosion and dilation.
     * Escape Line Script:
       This script creates escaping lines from any point. It's similar
       in function to the built-in Line-Nova Script, but much more
       flexible. So you can chose the center, the thickness, the angle,
       the length, the offset and the randomness.
     * Film Grain Script:
       This is yet another script which simulates the typical film grain
       of high ISO pictures.
     * First Photo Border Script:
       This script simulates the cut-off of the first picture of a film
       roll of cheap cameras like Lomo.
     * Lomo Script with Old Style Colors
       This script simulates the Lomo effect.
     * Movie 300 Script:
       This script simulates the color style of the movie "300".
     * National Geographic Script:
       This script simulates a high quality (portrait) photo like
       these from the National Geographic.
     * Obama "HOPE" Script:
       This script generates a poster like the famous Obama "HOPE"
       one from Shepard Fairey.
     * Rainy Landscape Script:
       This script changes a dry landscape to a wet one.
     * Photochrom Script:
       This script simulates a photochrom image, a lithographic printing
       process from the 1890's.
     * Sprocket Hole Script:
       This script simulates complete exposed 35mm film strips with frame
       numbers, lettering, overexposed sprocketholes and DX film edge barcodes.
     * Sunny Landscape Script:
       This script changes a rainy landscape to a sunny one.
     * Technicolor 2 Color Script:
       This script simulates the 2 Color Technicolor effect.
     * Technicolor 3 Color Script:
       This script simulates the 3 Color Technicolor effect.
     * Vintage Look Script:
       This script simulates a 70s vintage look.
      * Exposure Blend (1.3c):
        Prompt for 3 images in a bracketed exposure series (e.g. 0,-2,+2 EV)
        and blend these into a contrast enhanced image.
   * EZ Perspective:
     Specialized tool for easily correcting or changing perspective.
   * Fix-CA (3.0.2):
     Corrects chromatic aberration in photos
   * Focus-Blur (3.2.6):
     This plugin tries to simulate an out-of-focus blur
   * GIMP FX Foundry (r111):
     Probably the largest script collection available for The GIMP.
   * GIMP-Mask:
     Do and undo several popular image masking (that is, censoring)
     methods (CP, FL, Q0, MEKO).
   * Warming and Cooling Filters (May 24, 2010):
     Warm or cool an image using one of several methods:
     Wratten, Roy's Warm, Brauer's Warm, Pasty Cadaveric Look
   * Layer-Effects (4/12/2012):
     This is a series of scripts that implement various layer effects:
     Drop Shadow, Inner Shadow, Outer Glow, Inner Glow, Bevel and Emboss,
     Satin, Color Overlay, Gradient Overlay, Pattern Overlay, Stroke
   * Liquid Rescale (0.7.1):
     Content-aware rescaling. Keeps the features of the image while
     rescaling along a single direction.
   * Normalmap (1.2.2):
     Allows you to convert images into RGB normal maps for use in
     per-pixel lighting applications.
   * OpenRaster load/save handler (20110529-1d32622):
     OpenRaster is an effort by the Create project[1] to offer a standardized
     and open interchange format for raster-based applications. This plugin
     allows to load and save files in the OpenRaster format.
   * Planet Render (1-2):
     Creates a planet. Color, size and sun orientation
     can be set.
   * Refocus (0.9.1):
     The GIMP plugin to refocus images using FIR Wiener filtering.
     During image processing operations such as scanning and scaling, images
     tend to get blurry. The blurred impression of these images is due to the
     fact that image pixels are averaged with their neighbors. Blurred images
     don't have sharp boundaries and look as though they have been taken with
     an unfocused camera.
   * Save for Web (0.29.0):
     Allows to experiment with various popular web format options. It shows
     an automatically updated preview and file size statistics.
   * Separate+ (0.5.8):
     Separate+ is a plug-in that generates color separations from an RGB
     image, proofs CMYK colors on the monitor and exports the CMYK TIFF file.
   * Smart Seperate Sharpening (2.8):
     This script implements a new version of smart sharpening (redux)
     combined with separate sharpen to give better results.
     You can find more about Smart Sharpening at
     http://www.gimpguru.org/Tutorials/SmartSharpening2/
   * Streak-Camera simulation (0.6):
     A streak camera images an object through a slit -
     thus getting a "one dimensional image". This image is
     propagated along the second dimension of the image plane
     at a constant speed. The result is a picture of the time
     dependency of the object.
   * Traditional Orton:
     This is an effect invented by Michael Orton in the 1990’s, which
     consists of taking two copies of an image, one blurred, and one sharp,
     and mixing them to produce an image with a dreamy quality. It is
     especially well suited to landscape and flower photography.
   * Wavelet Decompose (0.1.2):
     The wavelet decompose plugin decomposes a layer of an image into layers
     of wavelet scales. This means that you can edit the image on different
     detail scales (frequencies). The trivial recomposition of the image can
     be done by GIMP's layer modes so you can see the results of your
     modifications instantly. Among the applications are retouching, noise
     reduction, and enhancing global contrast.
   * Wavelet Denoise (0.3.1):
     The wavelet denoise plugin is a tool to selectively reduce noise in
     individual channels of an image with optional RGB<->YCbCr conversion.
     It has a user interface to adjust the amount of denoising applied. The
     wavelet nature of the algorithm makes the processing quite fast.
   * X11 Mouse Cursor (XMC) plug-in (2.0.6):
     Enables GIMP to import and export X11 mouse cursor files.
     (Only shipped if the package was built against libgimp-dev < 2.7~)
